REM2HTML(1)

NAME
rem2html - Convert the output of "remind -pp" or "remind -ppp" to HTML

SYNOPSIS
    remind -ppp [remind_options] file | rem2html [options]

    remind -pp [remind_options] file | rem2html [options]

You can also use the old interchange format as below, but the -pp or -ppp versions are preferred.

    remind -p [remind_options] file | rem2html [options]

OPTIONS

--help, -h
    Print usage information

--version
    Print version

--utf8
    Assume standard input is encoded in UTF-8; write UTF-8 data to standard output.

--backurl url
    When producing the small calendar for the previous month, make the month name a link to url.

--forwurl url
    When producing the small calendar for the next month, make the month name a link to url.

--imgbase url
    When creating URLs for the stylesheet or external images, use url as the base URL.

--pngs
    Normally, rem2html uses inline "data:" URLs for the moon phase images, yielding a standalone HTML file. The "--pngs" option makes it use external images named firstquarter.png, fullmoon.png, lastquarter.png and newmoon.png, which are expected to live in "--imgbase".

--stylesheet url.css
    Use url.css as the stylesheet. If this option is used, url.css is interpreted relative to imgbase unless it starts with a "/".

--nostyle
    Produce basic HTML that does not use a CSS stylesheet.

--tableonly
    Output results as a <table> ... </table> sequence only without any <html> or <body> tags.

--title title
    Use title as the content between <title> and </title> tags.

--yaag
    Instead of making 7-column tables for each month, show each month as a single table row of 38 columns. This is the so-called "year-at-a-glance" format. You must use the "-ppp" option to "remind" or the --yaag option will be ignored. And this format works best if you create a calendar for an entire year (so, starting in January and using "-ppp12" to get 12 months' worth of reminders.)

--prologue html_text
    Insert html_text right after the <body> tag.

--epilogue html_text
    Insert html_text right before the </body> tag.

SPECIALS SUPPORTED
The rem2html back-end supports the following SPECIAL reminders:

HTML
    Add an HTML reminder to the calendar. All HTML tags are available.

HTMLCLASS
    Add a CSS class to the box representing the trigger date. See "HIGHLIGHTING TODAY" for an example

WEEK, MOON, SHADE, COLOR
    The standard SPECIALs supported by all back-ends

INFO STRINGS SUPPORTED
Rem2html supports one INFO string, namely "Url". Its value should be a URL. If the "Url" INFO string is supplied for a normal reminder, a COLOR special, a MOON special or a WEEK special, the corresponding output is turned into a hyperlink.

HIGHLIGHTING TODAY
Older versions of rem2html used to highlight today's date with a red outline. The current version does not do that by default. If you wish to highlight today's date, add the following reminder to your reminders file:

    REM [realtoday()] SPECIAL HTMLCLASS rem-today

AUTHOR
rem2html was written by Dianne Skoll with much inspiration from an earlier version by Don Schwarz.

HOME PAGE
<https://dianne.skoll.ca/projects/remind/>

SEE ALSO
remind, rem2ps, rem2pdf, tkremind